package de.assecutor.pdftool.template;

import org.springframework.data.mongodb.repository.MongoRepository;
import org.springframework.stereotype.Repository;

import java.util.Optional;

@Repository
public interface InvoiceTemplateRepository extends MongoRepository<InvoiceTemplate, String> {

    Optional<InvoiceTemplate> findByName(String name);

    boolean existsByName(String name);
}
